from __future__ import absolute_import, print_function, unicode_literals


divisions_districts = {
    'Barisal': ['Pirojpur',
                'Barishal',
                'Bhola',
                'Barguna',
                'Patuakhali',
                'Jhalokathi'],
    'Chittagong': ['Khagrachari',
                   'Noakhali',
                   'Rangamati',
                   'Bandarban',
                   'Feni',
                   'Lakshmipur',
                   'Chandpur',
                   'Comilla',
                   'Chittagong',
                   'Brahmanbaria',
                   "Cox's Bazar"],
    'Dhaka': ['Dhaka',
              'Manikganj',
              'Tangail',
              'Madaripur',
              'Sherpur',
              'Jamalpur',
              'Narshingdi',
              'Rajbari',
              'Faridpur',
              'Netrakona',
              'Munshiganj',
              'Gopalganj',
              'Gazipur',
              'Kishoreganj',
              'Shariatpur',
              'Narayanganj',
              'Mymensingh'],
    'Khulna': [
        'Kustia',
        'IBH WAs Here',
        'Magura',
        'Jessore',
        'Narail',
        'Meherpur',
        'Chuadanga',
        'Khulna',
        'Satkhira',
        'Jinaidaha'
    ],
    'Rajshahi': [
        'Natore',
        'Rajshahi',
        'Sirajganj',
        'Pabna',
        'Chapinawabganj',
        'Bogra',
        'Joypurhat',
        'Naogaon'
    ],
    'Rangpur': [
        'Dinajpur',
        'Panchagarh',
        'Thakurgaon',
        'Rangpur',
        'Gaibandha',
        'Lalmonirhat',
        'Nilphamari',
        'Kurigram'
    ],
    'Sylhet': [
        'Hobiganj',
        'Moulvibazar',
        'Sunamganj',
        'Sylhet'
    ]
}


districts_postal_code = {
    'Bandarban': {'Alikadam': [('Alikadam', '4650')],
                  'Bandarban Sadar': [('Bandarban Sadar', '4600')],
                  'Naikhong': [('Naikhong', '4660')],
                  'Roanchhari': [('Roanchhari', '4610')],
                  'Ruma': [('Ruma', '4620')],
                  'Thanchi': [('Lama', '4641'), ('Thanchi', '4630')]},
    'Barguna': {'Amtali': [('Amtali', '8710')],
                'Bamna': [('Bamna', '8730')],
                'Barguna Sadar': [('Barguna Sadar', '8700'),
                                  ('Nali Bandar', '8701')],
                'Betagi': [('Betagi', '8740'), ('Darul Ulam', '8741')],
                'Patharghata': [('Kakchira', '8721'),
                                ('Patharghata', '8720')]},
    'Barishal': {'Agailzhara': [('Agailzhara', '8240'),
                                ('Gaila', '8241'),
                                ('Paisarhat', '8242')],
                 'Babuganj': [('Babuganj', '8210'),
                              ('Barishal Cadet', '8216'),
                              ('Chandpasha', '8212'),
                              ('Madhabpasha', '8213'),
                              ('Nizamuddin College', '8215'),
                              ('Rahamatpur', '8211'),
                              ('Thakur Mallik', '8214')],
                 'Barajalia': [('Barajalia', '8260'),
                               ('Osman Manjil', '8261')],
                 'Barishal Sadar': [('Barishal Sadar', '8200'),
                                    ('Bukhainagar', '8201'),
                                    ('Jaguarhat', '8206'),
                                    ('Kashipur', '8205'),
                                    ('Patang', '8204'),
                                    ('Saheberhat', '8202'),
                                    ('Sugandia', '8203')],
                 'Gouranadi': [('Batajor', '8233'),
                               ('Gouranadi', '8230'),
                               ('Kashemabad', '8232'),
                               ('Tarki Bandar', '8231')],
                 'Mahendiganj': [('Langutia', '8274'),
                                 ('Laskarpur', '8271'),
                                 ('Mahendiganj', '8270'),
                                 ('Nalgora', '8273'),
                                 ('Ulania', '8272')],
                 'Muladi': [('Charkalekhan', '8252'),
                            ('Kazirchar', '8251'),
                            ('Muladi', '8250')],
                 'Sahebganj': [('Charamandi', '8281'),
                               ('kalaskati', '8284'),
                               ('Padri Shibpur', '8282'),
                               ('Sahebganj', '8280'),
                               ('Shialguni', '8283')],
                 'Uzirpur': [('Dakuarhat', '8223'),
                             ('Dhamura', '8221'),
                             ('Jugirkanda', '8222'),
                             ('Shikarpur', '8224'),
                             ('Uzirpur', '8220')]},
    'Bhola': {'Bhola Sadar': [('Bhola Sadar', '8300'),
                              ('Joynagar', '8301')],
              'Borhanuddin UPO': [('Borhanuddin UPO', '8320'),
                                  ('Mirzakalu', '8321')],
              'Charfashion': [('Charfashion', '8340'),
                              ('Dularhat', '8341'),
                              ('Keramatganj', '8342')],
              'Doulatkhan': [('Doulatkhan', '8310'), ('Hajipur', '8311')],
              'Hajirhat': [('Hajirhat', '8360')],
              'Hatshoshiganj': [('Hatshoshiganj', '8350')],
              'Lalmohan UPO': [('Daurihat', '8331'),
                               ('Gazaria', '8332'),
                               ('Lalmohan UPO', '8330')]},
    'Bogra': {'Alamdighi': [('Adamdighi', '5890'),
                            ('Nasharatpur', '5892'),
                            ('Santahar', '5891')],
              'Bogra Sadar': [('Bogra Canttonment', '5801'),
                              ('Bogra Sadar', '5800')],
              'Dhunat': [('Dhunat', '5850'), ('Gosaibari', '5851')],
              'Dupchachia': [('Dupchachia', '5880'), ('Talora', '5881')],
              'Gabtoli': [('Gabtoli', '5820'), ('Sukhanpukur', '5821')],
              'Kahalu': [('Kahalu', '5870')],
              'Nandigram': [('Nandigram', '5860')],
              'Sariakandi': [('Chandan Baisha', '5831'),
                             ('Sariakandi', '5830')],
              'Sherpur': [('Chandaikona', '5841'),
                          ('Palli Unnyan Accadem', '5842'),
                          ('Sherpur', '5840')],
              'Shibganj': [('Shibganj', '5810')],
              'Sonatola': [('Sonatola', '5826')]},
    'Brahmanbaria': {'Akhaura': [('Akhaura', '3450'),
                                 ('Azampur', '3451'),
                                 ('Gangasagar', '3452')],
                     'Banchharampur': [('Banchharampur', '3420')],
                     'Brahamanbaria Sadar': [('Ashuganj', '3402'),
                                             ('Ashuganj Share',
                                                 '3403'),
                                             ('Brahamanbaria Sadar',
                                                 '3400'),
                                             ('Poun', '3404'),
                                             ('Talshahar', '3401')],
                     'Kasba': [('Chandidar', '3462'),
                               ('Chargachh', '3463'),
                               ('Gopinathpur', '3464'),
                               ('Kasba', '3460'),
                               ('Kuti', '3461')],
                     'Nabinagar': [('Jibanganj', '3419'),
                                   ('Kaitala', '3417'),
                                   ('Laubfatehpur', '3411'),
                                   ('Nabinagar', '3410'),
                                   ('Rasullabad', '3412'),
                                   ('Ratanpur', '3414'),
                                   ('Salimganj', '3418'),
                                   ('Shahapur', '3415'),
                                   ('Shamgram', '3413')],
                     'Nasirnagar': [('Fandauk', '3441'),
                                    ('Nasirnagar', '3440')],
                     'Sarail': [('Chandura', '3432'),
                                ('Sarial', '3430'),
                                ('Shahbajpur', '3431')]},
    'Chandpur': {'Chandpur Sadar': [('Baburhat', '3602'),
                                    ('Chandpur Sadar', '3600'),
                                    ('Puranbazar', '3601'),
                                    ('Sahatali', '3603')],
                 'Faridganj': [('Chandra', '3651'),
                               ('Faridganj', '3650'),
                               ('Gridkaliandia', '3653'),
                               ('Islampur Shah Isain', '3655'),
                               ('Rampurbazar', '3654'),
                               ('Rupsha', '3652')],
                 'Hajiganj': [('Bolakhal', '3611'), ('Hajiganj', '3610')],
                 'Hayemchar': [('Gandamara', '3661'),
                               ('Hayemchar', '3660')],
                 'Kachua': [('Kachua', '3630'),
                            ('Pak Shrirampur', '3631'),
                            ('Rahima Nagar', '3632'),
                            ('Shachar', '3633')],
                 'Matlobganj': [('Kalipur', '3642'),
                                ('Matlobganj', '3640'),
                                ('Mohanpur', '3641')],
                 'Shahrasti': [('Chotoshi', '3623'),
                               ('Islamia Madrasha', '3624'),
                               ('Khilabazar', '3621'),
                               ('Pashchim Kherihar Al', '3622'),
                               ('Shahrasti', '3620')]},
    'Chapinawabganj': {'Bholahat': [('Bholahat', '6330')],
                       'Chapinawabganj Sadar': [('Amnura', '6303'),
                                                ('Chapinawbganj Sadar',
                                                    '6300'),
                                                ('Rajarampur', '6301'),
                                                ('Ramchandrapur',
                                                    '6302')],
                       'Nachol': [('Mandumala', '6311'),
                                  ('Nachol', '6310')],
                       'Rohanpur': [('Gomashtapur', '6321'),
                                    ('Rohanpur', '6320')],
                       'Shibganj U.P.O': [('Kansart', '6341'),
                                          ('Manaksha', '6342'),
                                          ('Shibganj U.P.O', '6340')]},
    'Chittagong': {'Anawara': [('Anowara', '4376'),
                               ('Battali', '4378'),
                               ('Paroikora', '4377')],
                   'Boalkhali': [('Boalkhali', '4366'),
                                 ('Charandwip', '4369'),
                                 ('Iqbal Park', '4365'),
                                 ('Kadurkhal', '4368'),
                                 ('Kanungopara', '4363'),
                                 ('Sakpura', '4367'),
                                 ('Saroatoli', '4364')],
                   'Chittagong Sadar': [('Al- Amin Baria Madra',
                                         '4221'),
                                        ('Amin Jute Mills', '4211'),
                                        ('Anandabazar', '4215'),
                                        ('Bayezid Bostami', '4210'),
                                        ('Chandgaon', '4212'),
                                        ('Chawkbazar', '4203'),
                                        ('Chitt. Cantonment', '4220'),
                                        ('Chitt. Customs Acca',
                                            '4219'),
                                        ('Chitt. Politechnic In',
                                            '4209'),
                                        ('Chitt. Sailers Colon',
                                            '4218'),
                                        ('Chittagong Airport', '4205'),
                                        ('Chittagong Bandar', '4100'),
                                        ('Chittagong GPO', '4000'),
                                        ('Export Processing', '4223'),
                                        ('Firozshah', '4207'),
                                        ('Halishahar', '4216'),
                                        ('Halishshar', '4225'),
                                        ('Jalalabad', '4214'),
                                        ('Jaldia Merine Accade',
                                            '4206'),
                                        ('Middle Patenga', '4222'),
                                        ('Mohard', '4208'),
                                        ('North Halishahar', '4226'),
                                        ('North Katuli', '4217'),
                                        ('Pahartoli', '4202'),
                                        ('Patenga', '4204'),
                                        ('Rampura TSO', '4224'),
                                        ('Wazedia', '4213')],
                   'East Joara': [('Barma', '4383'),
                                  ('Dohazari', '4382'),
                                  ('East Joara', '4380'),
                                  ('Gachbaria', '4381')],
                   'Fatikchhari': [('Bhandar Sharif', '4352'),
                                   ('Fatikchhari', '4350'),
                                   ('Harualchhari', '4354'),
                                   ('Najirhat', '4353'),
                                   ('Nanupur', '4351'),
                                   ('Narayanhat', '4355')],
                   'Hathazari': [('Chitt.University', '4331'),
                                 ('Fatahabad', '4335'),
                                 ('Gorduara', '4332'),
                                 ('Hathazari', '4330'),
                                 ('Katirhat', '4333'),
                                 ('Madrasa', '4339'),
                                 ('Mirzapur', '4334'),
                                 ('Nuralibari', '4337'),
                                 ('Yunus Nagar', '4338')],
                   'Jaldi': [('Banigram', '4393'),
                             ('Gunagari', '4392'),
                             ('Jaldi', '4390'),
                             ('Khan Bahadur', '4391')],
                   'Lohagara': [('Chunti', '4398'),
                                ('Lohagara', '4396'),
                                ('Padua', '4397')],
                   'Mirsharai': [('Abutorab', '4321'),
                                 ('Azampur', '4325'),
                                 ('Bharawazhat', '4323'),
                                 ('Darrogahat', '4322'),
                                 ('Joarganj', '4324'),
                                 ('Korerhat', '4327'),
                                 ('Mirsharai', '4320'),
                                 ('Mohazanhat', '4328')],
                   'Patia Head Office': [('Budhpara', '4371'),
                                         ('Patia Head Office', '4370')],
                   'Rangunia': [('Dhamair', '4361'), ('Rangunia', '4360')],
                   'Rouzan': [('B.I.T Post Office', '4349'),
                              ('Beenajuri', '4341'),
                              ('Dewanpur', '4347'),
                              ('Fatepur', '4345'),
                              ('Gahira', '4343'),
                              ('Guzra Noapara', '4346'),
                              ('jagannath Hat', '4344'),
                              ('Kundeshwari', '4342'),
                              ('Mohamuni', '4348'),
                              ('Rouzan', '4340')],
                   'Sandwip': [('Sandwip', '4300'),
                               ('Shiberhat', '4301'),
                               ('Urirchar', '4302')],
                   'Satkania': [('Baitul Ijjat', '4387'),
                                ('Bazalia', '4388'),
                                ('Satkania', '4386')],
                   'Sitakunda': [('Barabkunda', '4312'),
                                 ('Baroidhala', '4311'),
                                 ('Bawashbaria', '4313'),
                                 ('Bhatiari', '4315'),
                                 ('Fouzdarhat', '4316'),
                                 ('Jafrabad', '4317'),
                                 ('Kumira', '4314'),
                                 ('Sitakunda', '4310')]},
    'Chuadanga': {'Alamdanga': [('Alamdanga', '7210'), ('Hardi', '7211')],
                  'Chuadanga Sadar': [('Chuadanga Sadar', '7200'),
                                      ('Munshiganj', '7201')],
                  'Damurhuda': [('Andulbaria', '7222'),
                                ('Damurhuda', '7220'),
                                ('Darshana', '7221')],
                  'Doulatganj': [('Doulatganj', '7230')]},
    'Comilla': {'Barura': [('Barura', '3560'),
                           ('Murdafarganj', '3562'),
                           ('Poyalgachha', '3561')],
                'Brahmanpara': [('Brahmanpara', '3526')],
                'Burichang': [('Burichang', '3520'),
                              ('Maynamoti bazar', '3521')],
                'Chandina': [('Chandia', '3510'),
                             ('Madhaiabazar', '3511')],
                'Chouddagram': [('Batisa', '3551'),
                                ('Chiora', '3552'),
                                ('Chouddagram', '3550')],
                'Comilla Sadar': [('Comilla Contoment', '3501'),
                                  ('Comilla Sadar', '3500'),
                                  ('Courtbari', '3503'),
                                  ('Halimanagar', '3502'),
                                  ('Suaganj', '3504')],
                'Daudkandi': [('Dashpara', '3518'),
                              ('Daudkandi', '3516'),
                              ('Eliotganj', '3519'),
                              ('Gouripur', '3517')],
                'Davidhar': [('Barashalghar', '3532'),
                             ('Davidhar', '3530'),
                             ('Dhamtee', '3533'),
                             ('Gangamandal', '3531')],
                'Homna': [('Homna', '3546')],
                'Laksam': [('Bipulasar', '3572'),
                           ('Laksam', '3570'),
                           ('Lakshamanpur', '3571')],
                'Langalkot': [('Chhariabazar', '3582'),
                              ('Dhalua', '3581'),
                              ('Gunabati', '3583'),
                              ('Langalkot', '3580')],
                'Muradnagar': [('Bangra', '3543'),
                               ('Companyganj', '3542'),
                               ('Muradnagar', '3540'),
                               ('Pantibazar', '3545'),
                               ('Ramchandarpur', '3541'),
                               ('Sonakanda', '3544')]},
    "Cox's Bazar": {'Chiringga': [('Badarkali', '4742'),
                                  ('Chiringga', '4740'),
                                  ('Chiringga S.O', '4741'),
                                  ('Malumghat', '4743')],
                    'Coxs Bazar Sadar': [('Coxs Bazar Sadar',
                                          '4700'),
                                         ('Eidga', '4702'),
                                         ('Zhilanja',
                                          '4701')],
                    'Gorakghat': [('Gorakghat', '4710')],
                    'Kutubdia': [('Kutubdia', '4720')],
                    'Ramu': [('Ramu', '4730')],
                    'Teknaf': [('Hnila', '4761'),
                               ('St.Martin', '4762'),
                               ('Teknaf', '4760')],
                    'Ukhia': [('Ukhia', '4750')]},
    'Dhaka': {'Demra': [('Demra', '1360'),
                        ('Matuail', '1362'),
                        ('Sarulia', '1361')],
              'Dhaka Cantt.': [('Dhaka CantonmentTSO', '1206')],
              'Dhamrai': [('Dhamrai', '1350'), ('Kamalpur', '1351')],
              'Dhanmondi': [('Jigatala TSO', '1209')],
              'Gulshan': [('Banani TSO', '1213'),
                          ('Gulshan Model Town', '1212')],
              'Jatrabari': [('Dhania TSO', '1232')],
              'Joypara': [('Joypara', '1330'),
                          ('Narisha', '1332'),
                          ('Palamganj', '1331')],
              'Keraniganj': [('Ati', '1312'),
                             ('Dhaka Jute Mills', '1311'),
                             ('Kalatia', '1313'),
                             ('Keraniganj', '1310')],
              'Khilgaon': [('KhilgaonTSO', '1219')],
              'Khilkhet': [('KhilkhetTSO', '1229')],
              'Lalbag': [('Posta TSO', '1211')],
              'Mirpur': [('Mirpur TSO', '1216')],
              'Mohammadpur': [('Mohammadpur Housing', '1207'),
                              ('Sangsad BhabanTSO', '1225')],
              'Motijheel': [('BangabhabanTSO', '1222'),
                            ('DilkushaTSO', '1223')],
              'Nawabganj': [('Agla', '1323'),
                            ('Churain', '1325'),
                            ('Daudpur', '1322'),
                            ('Hasnabad', '1321'),
                            ('Khalpar', '1324'),
                            ('Nawabganj', '1320')],
              'New market': [('New Market TSO', '1205')],
              'Palton': [('Dhaka GPO', '1000')],
              'Ramna': [('Shantinagr TSO', '1217')],
              'Sabujbag': [('Basabo TSO', '1214')],
              'Savar': [('Amin Bazar', '1348'),
                        ('Dairy Farm', '1341'),
                        ('EPZ', '1349'),
                        ('Jahangirnagar Univer', '1342'),
                        ('Kashem Cotton Mills', '1346'),
                        ('Rajphulbaria', '1347'),
                        ('Savar', '1340'),
                        ('Savar Canttonment', '1344'),
                        ('Saver P.A.T.C', '1343'),
                        ('Shimulia', '1345')],
              'Sutrapur': [('Dhaka Sadar HO', '1100'),
                           ('Gendaria TSO', '1204'),
                           ('Wari TSO', '1203')],
              'Tejgaon': [('Tejgaon TSO', '1215')],
              'Tejgaon Industrial Area': [('Dhaka Politechnic',
                                           '1208')],
              'Uttara': [('Uttara Model TwonTSO', '1230')]},
    'Dinajpur': {'Bangla Hili': [('Bangla Hili', '5270')],
                 'Biral': [('Biral', '5210')],
                 'Birampur': [('Birampur', '5266')],
                 'Birganj': [('Birganj', '5220')],
                 'Chrirbandar': [('Chrirbandar', '5240'),
                                 ('Ranirbandar', '5241')],
                 'Dinajpur Sadar': [('Dinajpur Rajbari', '5201'),
                                    ('Dinajpur Sadar', '5200')],
                 'Khansama': [('Khansama', '5230'), ('Pakarhat', '5231')],
                 'Maharajganj': [('Maharajganj', '5226')],
                 'Nababganj': [('Daudpur', '5281'),
                               ('Gopalpur', '5282'),
                               ('Nababganj', '5280')],
                 'Osmanpur': [('Ghoraghat', '5291'), ('Osmanpur', '5290')],
                 'Parbatipur': [('Parbatipur', '5250')],
                 'Phulbari': [('Phulbari', '5260')],
                 'Setabganj': [('Setabganj', '5216')]},
    'Faridpur': {'Alfadanga': [('Alfadanga', '7870')],
                 'Bhanga': [('Bhanga', '7830')],
                 'Boalmari': [('Boalmari', '7860'), ('Rupatpat', '7861')],
                 'Charbhadrasan': [('Charbadrashan', '7810')],
                 'Faridpur Sadar': [('Ambikapur', '7802'),
                                    ('Baitulaman Politecni', '7803'),
                                    ('Faridpursadar', '7800'),
                                    ('Kanaipur', '7801')],
                 'Madukhali': [('Kamarkali', '7851'),
                               ('Madukhali', '7850')],
                 'Nagarkanda': [('Nagarkanda', '7840'), ('Talma', '7841')],
                 'Sadarpur': [('Bishwa jaker Manjil', '7822'),
                              ('Hat Krishapur', '7821'),
                              ('Sadarpur', '7820')],
                 'Shriangan': [('Shriangan', '7804')]},
    'Feni': {'Chhagalnaia': [('Chhagalnaia', '3910'),
                             ('Daraga Hat', '3912'),
                             ('Maharajganj', '3911'),
                             ('Puabashimulia', '3913')],
             'Dagonbhuia': [('Chhilonia', '3922'),
                            ('Dagondhuia', '3920'),
                            ('Dudmukha', '3921'),
                            ('Rajapur', '3923')],
             'Feni Sadar': [('Fazilpur', '3901'),
                            ('Feni Sadar', '3900'),
                            ('Laskarhat', '3903'),
                            ('Sharshadie', '3902')],
             'Pashurampur': [('Fulgazi', '3942'),
                             ('Munshirhat', '3943'),
                             ('Pashurampur', '3940'),
                             ('Shuarbazar', '3941')],
             'Sonagazi': [('Ahmadpur', '3932'),
                          ('Kazirhat', '3933'),
                          ('Motiganj', '3931'),
                          ('Sonagazi', '3930')]},
    'Gaibandha': {'Bonarpara': [('Bonarpara', '5750'),
                                ('saghata', '5751')],
                  'Gaibandha Sadar': [('Gaibandha Sadar', '5700')],
                  'Gobindaganj': [('Gobindhaganj', '5740'),
                                  ('Mahimaganj', '5741')],
                  'Palashbari': [('Palashbari', '5730')],
                  'Phulchhari': [('Bharatkhali', '5761'),
                                 ('Phulchhari', '5760')],
                  'Saadullapur': [('Naldanga', '5711'),
                                  ('Saadullapur', '5710')],
                  'Sundarganj': [('Bamandanga', '5721'),
                                 ('Sundarganj', '5720')]},
    'Gazipur': {'Gazipur Sadar': [('B.O.F', '1703'),
                                  ('B.R.R', '1701'),
                                  ('Chandna', '1702'),
                                  ('Gazipur Sadar', '1700'),
                                  ('National University', '1704')],
                'Kaliakaar': [('Kaliakaar', '1750'), ('Safipur', '1751')],
                'Kaliganj': [('Kaliganj', '1720'),
                             ('Pubail', '1721'),
                             ('Santanpara', '1722'),
                             ('Vaoal Jamalpur', '1723')],
                'Kapashia': [('kapashia', '1730')],
                'Monnunagar': [('Ershad Nagar', '1712'),
                               ('Monnunagar', '1710'),
                               ('Nishat Nagar', '1711')],
                'Sreepur': [('Barmi', '1743'),
                            ('Bashamur', '1747'),
                            ('Boubi', '1748'),
                            ('Kawraid', '1745'),
                            ('Satkhamair', '1744'),
                            ('Sreepur', '1740')],
                'Sripur': [('Rajendrapur', '1741'),
                           ('Rajendrapur Canttome', '1742')]},
    'Gopalganj': {'Gopalganj Sadar': [('Barfa', '8102'),
                                      ('Chandradighalia', '8013'),
                                      ('Gopalganj Sadar', '8100'),
                                      ('Ulpur', '8101')],
                  'Kashiani': [('Jonapur', '8133'),
                               ('Kashiani', '8130'),
                               ('Ramdia College', '8131'),
                               ('Ratoil', '8132')],
                  'Kotalipara': [('Kotalipara', '8110')],
                  'Maksudpur': [('Batkiamari', '8141'),
                                ('Khandarpara', '8142'),
                                ('Maksudpur', '8140')],
                  'Tungipara': [('Patgati', '8121'),
                                ('Tungipara', '8120')]},
    'Hobiganj': {'Azmireeganj': [('Azmireeganj', '3360')],
                 'Bahubal': [('Bahubal', '3310')],
                 'Baniachang': [('Baniachang', '3350'),
                                ('Jatrapasha', '3351'),
                                ('Kadirganj', '3352')],
                 'Chunarughat': [('Chandpurbagan', '3321'),
                                 ('Chunarughat', '3320'),
                                 ('Narapati', '3322')],
                 'Hobiganj Sadar': [('Gopaya', '3302'),
                                    ('Hobiganj Sadar', '3300'),
                                    ('Shaestaganj', '3301')],
                 'Kalauk': [('Kalauk', '3340'), ('Lakhai', '3341')],
                 'Madhabpur': [('Itakhola', '3331'),
                               ('Madhabpur', '3330'),
                               ('Saihamnagar', '3333'),
                               ('Shahajibazar', '3332')],
                 'Nabiganj': [('Digalbak', '3373'),
                              ('Golduba', '3372'),
                              ('Goplarbazar', '3371'),
                              ('Inathganj', '3374'),
                              ('Nabiganj', '3370')]},
    'IBH WAs Here': {'Bagerhat Sadar': [('Bagerhat Sadar', '9300'),
                                        ('P.C College', '9301'),
                                        ('Rangdia', '9302')],
                     'Chalna Ankorage': [('Chalna Ankorage', '9350'),
                                         ('Mongla Port', '9351')],
                     'Chitalmari': [('Barabaria', '9361'),
                                    ('Chitalmari', '9360')],
                     'Fakirhat': [('Bhanganpar Bazar', '9372'),
                                  ('Fakirhat', '9370'),
                                  ('Mansa', '9371')],
                     'Kachua UPO': [('Kachua', '9310'),
                                    ('Sonarkola', '9311')],
                     'Mollahat': [('Charkulia', '9383'),
                                  ('Dariala', '9382'),
                                  ('Kahalpur', '9381'),
                                  ('Mollahat', '9380'),
                                  ('Nagarkandi', '9384'),
                                  ('Pak Gangni', '9385')],
                     'Morelganj': [('Morelganj', '9320'),
                                   ('Sannasi Bazar', '9321'),
                                   ('Telisatee', '9322')],
                     'Rampal': [('Foylahat', '9341'),
                                ('Gourambha', '9343'),
                                ('Rampal', '9340'),
                                ('Sonatunia', '9342')],
                     'Rayenda': [('Rayenda', '9330')]},
    'Jamalpur': {'Dewangonj': [('Dewangonj', '2030'),
                               ('Dewangonj S. Mills', '2031')],
                 'Islampur': [('Durmoot', '2021'),
                              ('Gilabari', '2022'),
                              ('Islampur', '2020')],
                 'Jamalpur': [('Jamalpur', '2000'),
                              ('Nandina', '2001'),
                              ('Narundi', '2002')],
                 'Malandah': [('Jamalpur', '2011'),
                              ('Mahmoodpur', '2013'),
                              ('Malancha', '2012'),
                              ('Malandah', '2010')],
                 'Mathargonj': [('Balijhuri', '2041'),
                                ('Mathargonj', '2040')],
                 'Shorishabari': [('Bausee', '2052'),
                                  ('Gunerbari', '2051'),
                                  ('Jagannath Ghat', '2053'),
                                  ('Jamuna Sar Karkhana', '2055'),
                                  ('Pingna', '2054'),
                                  ('Shorishabari', '2050')]},
    'Jessore': {'Bagharpara': [('Bagharpara', '7470'),
                               ('Gouranagar', '7471')],
                'Chaugachha': [('Chougachha', '7410')],
                'Jessore Sadar': [('Basundia', '7406'),
                                  ('Chanchra', '7402'),
                                  ('Churamankathi', '7407'),
                                  ('Jessore Airbach', '7404'),
                                  ('Jessore canttonment', '7403'),
                                  ('Jessore Sadar', '7400'),
                                  ('Jessore Upa-Shahar', '7401'),
                                  ('Rupdia', '7405')],
                'Jhikargachha': [('Jhikargachha', '7420')],
                'Keshabpur': [('Keshobpur', '7450')],
                'Monirampur': [('Monirampur', '7440')],
                'Noapara': [('Bhugilhat', '7462'),
                            ('Noapara', '7460'),
                            ('Rajghat', '7461')],
                'Sarsa': [('Bag Achra', '7433'),
                          ('Benapole', '7431'),
                          ('Jadabpur', '7432'),
                          ('Sarsa', '7430')]},
    'Jhalokathi': {'Jhalokathi Sadar': [('Baukathi', '8402'),
                                        ('Gabha', '8403'),
                                        ('Jhalokathi Sadar', '8400'),
                                        ('Nabagram', '8401'),
                                        ('Shekherhat', '8404')],
                   'Kathalia': [('Amua', '8431'),
                                ('Kathalia', '8430'),
                                ('Niamatee', '8432'),
                                ('Shoulajalia', '8433')],
                   'Nalchhiti': [('Beerkathi', '8421'),
                                 ('Nalchhiti', '8420')],
                   'Rajapur': [('Rajapur', '8410')]},
    'Jinaidaha': {'Harinakundu': [('Harinakundu', '7310')],
                  'Jinaidaha Sadar': [('Jinaidaha Cadet College',
                                       '7301'),
                                      ('Jinaidaha Sadar', '7300')],
                  'Kotchandpur': [('Kotchandpur', '7330')],
                  'Maheshpur': [('Maheshpur', '7340')],
                  'Naldanga': [('Hatbar Bazar', '7351'),
                               ('Naldanga', '7350')],
                  'Shailakupa': [('Kumiradaha', '7321'),
                                 ('Shailakupa', '7320')]},
    'Joypurhat': {'Akkelpur': [('Akklepur', '5940'),
                               ('jamalganj', '5941'),
                               ('Tilakpur', '5942')],
                  'Joypurhat Sadar': [('Joypurhat Sadar', '5900')],
                  'Khetlal': [('Khetlal', '5920')],
                  'kalai': [('kalai', '5930')],
                  'panchbibi': [('Panchbibi', '5910')]},
    'Khagrachari': {'Diginala': [('Diginala', '4420')],
                    'Khagrachari Sadar': [('Khagrachari Sadar',
                                           '4400')],
                    'Laxmichhari': [('Laxmichhari', '4470')],
                    'Mahalchhari': [('Mahalchhari', '4430')],
                    'Manikchhari': [('Manikchhari', '4460')],
                    'Matiranga': [('Matiranga', '4450')],
                    'Panchhari': [('Panchhari', '4410')],
                    'Ramghar Head Office': [('Ramghar Head Office',
                                             '4440')]},
    'Khulna': {'Alaipur': [('Alaipur', '9240'),
                           ('Belphulia', '9242'),
                           ('Rupsha', '9241')],
               'Batiaghat': [('Batiaghat', '9260'), ('Surkalee', '9261')],
               'Chalna Bazar': [('Bajua', '9272'),
                                ('Chalna Bazar', '9270'),
                                ('Dakup', '9271'),
                                ('Nalian', '9273')],
               'Digalia': [('Chandni Mahal', '9221'),
                           ('Digalia', '9220'),
                           ('Gazirhat', '9224'),
                           ('Ghoshghati', '9223'),
                           ('Senhati', '9222')],
               'Khulna Sadar': [('Atra Shilpa Area', '9207'),
                                ('BIT Khulna', '9203'),
                                ('Doulatpur', '9202'),
                                ('Jahanabad Canttonmen', '9205'),
                                ('Khula Sadar', '9100'),
                                ('Khulna G.P.O', '9000'),
                                ('Khulna Shipyard', '9201'),
                                ('Khulna University', '9208'),
                                ('Siramani', '9204'),
                                ('Sonali Jute Mills', '9206')],
               'Madinabad': [('Amadee', '9291'), ('Madinabad', '9290')],
               'Paikgachha': [('Chandkhali', '9284'),
                              ('Garaikhali', '9285'),
                              ('Godaipur', '9281'),
                              ('Kapilmoni', '9282'),
                              ('Katipara', '9283'),
                              ('Paikgachha', '9280')],
               'Phultala': [('Phultala', '9210')],
               'Sajiara': [('Chuknagar', '9252'),
                           ('Ghonabanda', '9251'),
                           ('Sajiara', '9250'),
                           ('Shahapur', '9253')],
               'Terakhada': [('Pak Barasat', '9231'),
                             ('Terakhada', '9230')]},
    'Kishoreganj': {'Bajitpur': [('Bajitpur', '2336'),
                                 ('Laksmipur', '2338'),
                                 ('Sararchar', '2337')],
                    'Bhairob': [('Bhairab', '2350')],
                    'Hossenpur': [('Hossenpur', '2320')],
                    'Itna': [('Itna', '2390')],
                    'Karimganj': [('Karimganj', '2310')],
                    'Katiadi': [('Gochhihata', '2331'),
                                ('Katiadi', '2330')],
                    'Kishoreganj Sadar': [('Kishoreganj S.Mills',
                                           '2301'),
                                          ('Kishoreganj Sadar',
                                              '2300'),
                                          ('Maizhati', '2302'),
                                          ('Nilganj', '2303')],
                    'Kuliarchar': [('Chhoysuti', '2341'),
                                   ('Kuliarchar', '2340')],
                    'Mithamoin': [('Abdullahpur', '2371'),
                                  ('MIthamoin', '2370')],
                    'Nikli': [('Nikli', '2360')],
                    'Ostagram': [('Ostagram', '2380')],
                    'Pakundia': [('Pakundia', '2326')],
                    'Tarial': [('Tarial', '2316')]},
    'Kurigram': {'Bhurungamari': [('Bhurungamari', '5670')],
                 'Chilmari': [('Chilmari', '5630'), ('Jorgachh', '5631')],
                 'Kurigram Sadar': [('Kurigram Sadar', '5600'),
                                    ('Pandul', '5601'),
                                    ('Phulbari', '5680')],
                 'Nageshwar': [('Nageshwar', '5660')],
                 'Rajarhat': [('Nazimkhan', '5611'), ('Rajarhat', '5610')],
                 'Rajibpur': [('Rajibpur', '5650')],
                 'Roumari': [('Roumari', '5640')],
                 'Ulipur': [('Bazarhat', '5621'), ('Ulipur', '5620')]},
    'Kustia': {'Bheramara': [('Allardarga', '7042'),
                             ('Bheramara', '7040'),
                             ('Ganges Bheramara', '7041')],
               'Janipur': [('Janipur', '7020'), ('Khoksa', '7021')],
               'Kumarkhali': [('Kumarkhali', '7010'), ('Panti', '7011')],
               'Kustia Sadar': [('Islami University', '7003'),
                                ('Jagati', '7002'),
                                ('Kushtia Mohini', '7001'),
                                ('Kustia Sadar', '7000')],
               'Mirpur': [('Amla Sadarpur', '7032'),
                          ('Mirpur', '7030'),
                          ('Poradaha', '7031')],
               'Rafayetpur': [('Khasmathurapur', '7052'),
                              ('Rafayetpur', '7050'),
                              ('Taragunia', '7051')]},
    'Lakshmipur': {'Char Alexgander': [('Char Alexgander', '3730'),
                                       ('Hajirghat', '3731'),
                                       ('Ramgatirhat', '3732')],
                   'Lakshimpur Sadar': [('Amani Lakshimpur', '3709'),
                                        ('Bhabaniganj', '3702'),
                                        ('Chandraganj', '3708'),
                                        ('Choupalli', '3707'),
                                        ('Dalal Bazar', '3701'),
                                        ('Duttapara', '3706'),
                                        ('Keramatganj', '3704'),
                                        ('Lakshimpur Sadar', '3700'),
                                        ('Mandari', '3703'),
                                        ('Rupchara', '3705')],
                   'Ramganj': [('Alipur', '3721'),
                               ('Dolta', '3725'),
                               ('Kanchanpur', '3723'),
                               ('Naagmud', '3724'),
                               ('Panpara', '3722'),
                               ('Ramganj', '3720')],
                   'Raypur': [('Bhuabari', '3714'),
                              ('Haydarganj', '3713'),
                              ('Nagerdighirpar', '3712'),
                              ('Rakhallia', '3711'),
                              ('Raypur', '3710')]},
    'Lalmonirhat': {'Aditmari': [('Aditmari', '5510')],
                    'Hatibandha': [('Hatibandha', '5530')],
                    'Lalmonirhat Sadar': [('Kulaghat SO', '5502'),
                                          ('Lalmonirhat Sadar',
                                              '5500'),
                                          ('Moghalhat', '5501')],
                    'Patgram': [('Baura', '5541'),
                                ('Burimari', '5542'),
                                ('Patgram', '5540')],
                    'Tushbhandar': [('Tushbhandar', '5520')]},
    'Madaripur': {'Barhamganj': [('Bahadurpur', '7932'),
                                 ('Barhamganj', '7930'),
                                 ('Nilaksmibandar', '7931'),
                                 ('Umedpur', '7933')],
                  'Madaripur Sadar': [('Charmugria', '7901'),
                                      ('Habiganj', '7903'),
                                      ('Kulpaddi', '7902'),
                                      ('Madaripur Sadar', '7900'),
                                      ('Mustafapur', '7904')],
                  'Rajoir': [('Khalia', '7911'), ('Rajoir', '7910')],
                  'kalkini': [('Kalkini', '7920'),
                              ('Sahabrampur', '7921')]},
    'Magura': {'Arpara': [('Arpara', '7620')],
               'Magura Sadar': [('Magura Sadar', '7600')],
               'Mohammadpur': [('Binodpur', '7631'),
                               ('Mohammadpur', '7630'),
                               ('Nahata', '7632')],
               'Shripur': [('Langalbadh', '7611'),
                           ('Nachol', '7612'),
                           ('Shripur', '7610')]},
    'Manikganj': {'Doulatpur': [('Doulatpur', '1860')],
                  'Gheor': [('Gheor', '1840')],
                  'Lechhraganj': [('Jhitka', '1831'),
                                  ('Lechhraganj', '1830')],
                  'Manikganj Sadar': [('Barangail', '1804'),
                                      ('Gorpara', '1802'),
                                      ('Mahadebpur', '1803'),
                                      ('Manikganj Bazar', '1801'),
                                      ('Manikganj Sadar', '1800')],
                  'Saturia': [('Baliati', '1811'), ('Saturia', '1810')],
                  'Shibloya': [('Aricha', '1851'),
                               ('Shibaloy', '1850'),
                               ('Tewta', '1852'),
                               ('Uthli', '1853')],
                  'Singari': [('Baira', '1821'),
                              ('joymantop', '1822'),
                              ('Singair', '1820')]},
    'Meherpur': {'Gangni': [('Gangni', '7110')],
                 'Meherpur Sadar': [('Amjhupi', '7101'),
                                    ('Amjhupi', '7152'),
                                    ('Meherpur Sadar', '7100'),
                                    ('Mujib Nagar Complex', '7102')]},
    'Moulvibazar': {'Baralekha': [('Baralekha', '3250'),
                                  ('Dhakkhinbag', '3252'),
                                  ('Juri', '3251'),
                                  ('Purbashahabajpur', '3253')],
                    'Kamalganj': [('Kamalganj', '3220'),
                                  ('Keramatnaga', '3221'),
                                  ('Munshibazar', '3224'),
                                  ('Patrakhola', '3222'),
                                  ('Shamsher Nagar', '3223')],
                    'Kulaura': [('Baramchal', '3237'),
                                ('Kajaldhara', '3234'),
                                ('Karimpur', '3235'),
                                ('Kulaura', '3230'),
                                ('Langla', '3232'),
                                ('Prithimpasha', '3233'),
                                ('Tillagaon', '3231')],
                    'Moulvibazar Sadar': [('Afrozganj', '3203'),
                                          ('Barakapan', '3201'),
                                          ('Monumukh', '3202'),
                                          ('Moulvibazar Sadar',
                                              '3200')],
                    'Rajnagar': [('Rajnagar', '3240')],
                    'Srimangal': [('Kalighat', '3212'),
                                  ('Khejurichhara', '3213'),
                                  ('Narain Chora', '3211'),
                                  ('Satgaon', '3214'),
                                  ('Srimangal', '3210')]},
    'Munshiganj': {'Gajaria': [('Gajaria', '1510'),
                               ('Hossendi', '1511'),
                               ('Rasulpur', '1512')],
                   'Lohajong': [('Gouragonj', '1334'),
                                ('Gouragonj', '1534'),
                                ('Haldia SO', '1532'),
                                ('Haridia', '1333'),
                                ('Haridia DESO', '1533'),
                                ('Korhati', '1531'),
                                ('Lohajang', '1530'),
                                ('Madini Mandal', '1335'),
                                ('Medini Mandal EDSO', '1535')],
                   'Munshiganj Sadar': [('Kathakhali', '1503'),
                                        ('Mirkadim', '1502'),
                                        ('Munshiganj Sadar', '1500'),
                                        ('Rikabibazar', '1501')],
                   'Sirajdikhan': [('Ichapur', '1542'),
                                   ('Kola', '1541'),
                                   ('Malkha Nagar', '1543'),
                                   ('Shekher Nagar', '1544'),
                                   ('Sirajdikhan', '1540')],
                   'Srinagar': [('Baghra', '1557'),
                                ('Barikhal', '1551'),
                                ('Bhaggyakul', '1558'),
                                ('Hashara', '1553'),
                                ('Kolapara', '1554'),
                                ('Kumarbhog', '1555'),
                                ('Mazpara', '1552'),
                                ('Srinagar', '1550'),
                                ('Vaggyakul SO', '1556')],
                   'Tangibari': [('Bajrajugini', '1523'),
                                 ('Baligao', '1522'),
                                 ('Betkahat', '1521'),
                                 ('Dighirpar', '1525'),
                                 ('Hasail', '1524'),
                                 ('Pura', '1527'),
                                 ('Pura EDSO', '1526'),
                                 ('Tangibari', '1520')]},
    'Mymensingh': {'Bhaluka': [('Bhaluka', '2240')],
                   'Fulbaria': [('Fulbaria', '2216')],
                   'Gaforgaon': [('Duttarbazar', '2234'),
                                 ('Gaforgaon', '2230'),
                                 ('Kandipara', '2233'),
                                 ('Shibganj', '2231'),
                                 ('Usti', '2232')],
                   'Gouripur': [('Gouripur', '2270'),
                                ('Ramgopalpur', '2271')],
                   'Haluaghat': [('Dhara', '2261'),
                                 ('Haluaghat', '2260'),
                                 ('Munshirhat', '2262')],
                   'Isshwargonj': [('Atharabari', '2282'),
                                   ('Isshwargonj', '2280'),
                                   ('Sohagi', '2281')],
                   'Muktagachha': [('Muktagachha', '2210')],
                   'Mymensingh Sadar': [('Agriculture Universi',
                                         '2202'),
                                        ('Biddyaganj', '2204'),
                                        ('Kawatkhali', '2201'),
                                        ('Mymensingh Sadar', '2200'),
                                        ('Pearpur', '2205'),
                                        ('Shombhuganj', '2203')],
                   'Nandail': [('Gangail', '2291'), ('Nandail', '2290')],
                   'Phulpur': [('Beltia', '2251'),
                               ('Phulpur', '2250'),
                               ('Tarakanda', '2252')],
                   'Trishal': [('Ahmadbad', '2221'),
                               ('Dhala', '2223'),
                               ('Ram Amritaganj', '2222'),
                               ('Trishal', '2220')]},
    'Naogaon': {'Ahsanganj': [('Ahsanganj', '6596'), ('Bandai', '6597')],
                'Badalgachhi': [('Badalgachhi', '6570')],
                'Dhamuirhat': [('Dhamuirhat', '6580')],
                'Mahadebpur': [('Mahadebpur', '6530')],
                'Naogaon Sadar': [('Naogaon Sadar', '6500')],
                'Niamatpur': [('Niamatpur', '6520')],
                'Nitpur': [('Nitpur', '6550'),
                           ('Panguria', '6552'),
                           ('Porsa', '6551')],
                'Patnitala': [('Patnitala', '6540')],
                'Prasadpur': [('Balihar', '6512'),
                              ('Manda', '6511'),
                              ('Prasadpur', '6510')],
                'Raninagar': [('Kashimpur', '6591'),
                              ('Raninagar', '6590')],
                'Sapahar': [('Moduhil', '6561'), ('Sapahar', '6560')]},
    'Narail': {'Kalia': [('Kalia', '7520')],
               'Laxmipasha': [('Baradia', '7514'),
                              ('Itna', '7512'),
                              ('Laxmipasha', '7510'),
                              ('Lohagora', '7511'),
                              ('Naldi', '7513')],
               'Mohajan': [('Mohajan', '7521')],
               'Narail Sadar': [('Narail Sadar', '7500'),
                                ('Ratanganj', '7501')]},
    'Narayanganj': {'Araihazar': [('Araihazar', '1450'),
                                  ('Gopaldi', '1451')],
                    'Baidder Bazar': [('Baidder Bazar', '1440'),
                                      ('Bara Nagar', '1441'),
                                      ('Barodi', '1442')],
                    'Bandar': [('Bandar', '1410'),
                               ('BIDS', '1413'),
                               ('D.C Mills', '1411'),
                               ('Madanganj', '1414'),
                               ('Nabiganj', '1412')],
                    'Fatullah': [('Fatulla Bazar', '1421'),
                                 ('Fatullah', '1420')],
                    'Narayanganj Sadar': [('Narayanganj Sadar',
                                           '1400')],
                    'Rupganj': [('Bhulta', '1462'),
                                ('Kanchan', '1461'),
                                ('Murapara', '1464'),
                                ('Nagri', '1463'),
                                ('Rupganj', '1460')],
                    'Siddirganj': [('Adamjeenagar', '1431'),
                                   ('LN Mills', '1432'),
                                   ('Siddirganj', '1430')]},
    'Narshingdi': {'Belabo': [('Belabo', '1640')],
                   'Monohordi': [('Hatirdia', '1651'),
                                 ('Katabaria', '1652'),
                                 ('Monohordi', '1650')],
                   'Narshingdi Sadar': [('Karimpur', '1605'),
                                        ('Madhabdi', '1604'),
                                        ('Narshingdi College', '1602'),
                                        ('Narshingdi Sadar', '1600'),
                                        ('Panchdona', '1603'),
                                        ('UMC Jute Mills', '1601')],
                   'Palash': [('Char Sindhur', '1612'),
                              ('Ghorashal', '1613'),
                              ('Ghorashal Urea Facto', '1611'),
                              ('Palash', '1610')],
                   'Raypura': [('Bazar Hasnabad', '1631'),
                               ('Radhaganj bazar', '1632'),
                               ('Raypura', '1630')],
                   'Shibpur': [('Shibpur', '1620')]},
    'Natore': {'Gopalpur UPO': [('Abdulpur', '6422'),
                                ('Gopalpur U.P.O', '6420'),
                                ('Lalpur S.O', '6421')],
               'Harua': [('Baraigram', '6432'),
                         ('Dayarampur', '6431'),
                         ('Harua', '6430')],
               'Hatgurudaspur': [('Hatgurudaspur', '6440')],
               'Laxman': [('Laxman', '6410')],
               'Natore Sadar': [('Baiddyabal Gharia', '6402'),
                                ('Digapatia', '6401'),
                                ('Madhnagar', '6403'),
                                ('Natore Sadar', '6400')],
               'Singra': [('Singra', '6450')]},
    'Netrakona': {'Atpara': [('Atpara', '2470')],
                  'Barhatta': [('Barhatta', '2440')],
                  'Dharmapasha': [('Dharampasha', '2450')],
                  'Dhobaura': [('Dhobaura', '2416'), ('Sakoai', '2417')],
                  'Kalmakanda': [('Kalmakanda', '2430')],
                  'Kendua': [('Kendua', '2480')],
                  'Khaliajuri': [('Khaliajhri', '2460'),
                                 ('Shaldigha', '2462')],
                  'Madan': [('Madan', '2490')],
                  'Moddhynagar': [('Moddoynagar', '2456')],
                  'Mohanganj': [('Mohanganj', '2446')],
                  'Netrakona Sadar': [('Baikherhati', '2401'),
                                      ('Netrakona Sadar', '2400')],
                  'Purbadhola': [('Jaria Jhanjhail', '2412'),
                                 ('Purbadhola', '2410'),
                                 ('Shamgonj', '2411')],
                  'Susung Durgapur': [('Susnng Durgapur', '2420')]},
    'Nilphamari': {'Dimla': [('Dimla', '5350'),
                             ('Ghaga Kharibari', '5351')],
                   'Domar': [('Chilahati', '5341'), ('Domar', '5340')],
                   'Jaldhaka': [('Jaldhaka', '5330')],
                   'Kishoriganj': [('Kishoriganj', '5320')],
                   'Nilphamari Sadar': [('Nilphamari Sadar', '5300'),
                                        ('Nilphamari Sugar Mil',
                                            '5301')],
                   'Syedpur': [('Syedpur', '5310'),
                               ('Syedpur Upashahar', '5311')]},
    'Noakhali': {'Basurhat': [('Basur Hat', '3850'),
                              ('Charhajari', '3851')],
                 'Begumganj': [('Alaiarpur', '3831'),
                               ('Amisha Para', '3847'),
                               ('Banglabazar', '3822'),
                               ('Bazra', '3824'),
                               ('Begumganj', '3820'),
                               ('Bhabani Jibanpur', '3837'),
                               ('Choumohani', '3821'),
                               ('Dauti', '3843'),
                               ('Durgapur', '3848'),
                               ('Gopalpur', '3828'),
                               ('Jamidar Hat', '3825'),
                               ('Joyag', '3844'),
                               ('Joynarayanpur', '3829'),
                               ('Khalafat Bazar', '3833'),
                               ('Khalishpur', '3842'),
                               ('Maheshganj', '3838'),
                               ('Mir Owarishpur', '3823'),
                               ('Nadona', '3839'),
                               ('Nandiapara', '3841'),
                               ('Oachhekpur', '3835'),
                               ('Rajganj', '3834'),
                               ('Sonaimuri', '3827'),
                               ('Tangirpar', '3832'),
                               ('Thanar Hat', '3845')],
                 'Chatkhil': [('Bansa Bazar', '3879'),
                              ('Bodalcourt', '3873'),
                              ('Chatkhil', '3870'),
                              ('Dosh Gharia', '3878'),
                              ('Karihati', '3877'),
                              ('Khilpara', '3872'),
                              ('Palla', '3871'),
                              ('Rezzakpur', '3874'),
                              ('Sahapur', '3881'),
                              ('Sampara', '3882'),
                              ('Shingbahura', '3883'),
                              ('Solla', '3875')],
                 'Hatiya': [('Afazia', '3891'),
                            ('Hatiya', '3890'),
                            ('Tamoraddi', '3892')],
                 'Noakhali Sadar': [('Chaprashir Hat', '3811'),
                                    ('Char Jabbar', '3812'),
                                    ('Charam Tua', '3809'),
                                    ('Din Monir Hat', '3803'),
                                    ('Kabirhat', '3807'),
                                    ('Khalifar Hat', '3808'),
                                    ('Mriddarhat', '3806'),
                                    ('Noakhali College', '3801'),
                                    ('Noakhali Sadar', '3800'),
                                    ('Pak Kishoreganj', '3804'),
                                    ('Sonapur', '3802')],
                 'Senbag': [('Beezbag', '3862'),
                            ('Chatarpaia', '3864'),
                            ('Kallyandi', '3861'),
                            ('Kankirhat', '3863'),
                            ('Senbag', '3860'),
                            ('T.P. Lamua', '3865')]},
    'Pabna': {'Banwarinagar': [('Banwarinagar', '6650')],
              'Bera': [('Bera', '6680'),
                       ('Kashinathpur', '6682'),
                       ('Nakalia', '6681'),
                       ('Puran Bharenga', '6683')],
              'Bhangura': [('Bhangura', '6640')],
              'Chatmohar': [('Chatmohar', '6630')],
              'Debottar': [('Debottar', '6610')],
              'Ishwardi': [('Dhapari', '6621'),
                           ('Ishwardi', '6620'),
                           ('Pakshi', '6622'),
                           ('Rajapur', '6623')],
              'Pabna Sadar': [('Hamayetpur', '6602'),
                              ('Kaliko Cotton Mills', '6601'),
                              ('Pabna Sadar', '6600')],
              'Sathia': [('Sathia', '6670')],
              'Sujanagar': [('Sagarkandi', '6661'), ('Sujanagar', '6660')]},
    'Panchagarh': {'Boda': [('Boda', '5010')],
                   'Chotto Dab': [('Chotto Dab', '5040'),
                                  ('Mirjapur', '5041')],
                   'Dabiganj': [('Dabiganj', '5020')],
                   'Panchagra Sadar': [('Panchagar Sadar', '5000')],
                   'Tetulia': [('Tetulia', '5030')]},
    'Patuakhali': {'Bauphal': [('Bagabandar', '8621'),
                               ('Bauphal', '8620'),
                               ('Birpasha', '8622'),
                               ('Kalaia', '8624'),
                               ('Kalishari', '8623')],
                   'Dashmina': [('Dashmina', '8630')],
                   'Galachipa': [('Galachipa', '8640'),
                                 ('Gazipur Bandar', '8641')],
                   'Khepupara': [('Khepupara', '8650'),
                                 ('Mahipur', '8651')],
                   'Patuakhali Sadar': [('Dumkee', '8602'),
                                        ('Moukaran', '8601'),
                                        ('Patuakhali Sadar', '8600'),
                                        ('Rahimabad', '8603')],
                   'Subidkhali': [('Subidkhali', '8610')]},
    'Pirojpur': {'Banaripara': [('Banaripara', '8530'),
                                ('Chakhar', '8531')],
                 'Bhandaria': [('Bhandaria', '8550'),
                               ('Dhaoa', '8552'),
                               ('Kanudashkathi', '8551')],
                 'Mathbaria': [('Betmor Natun Hat', '8565'),
                               ('Gulishakhali', '8563'),
                               ('Halta', '8562'),
                               ('Mathbaria', '8560'),
                               ('Shilarganj', '8566'),
                               ('Tiarkhali', '8564'),
                               ('Tushkhali', '8561')],
                 'Nazirpur': [('Nazirpur', '8540'),
                              ('Sriramkathi', '8541')],
                 'Pirojpur Sadar': [('Hularhat', '8501'),
                                    ('Parerhat', '8502'),
                                    ('Pirojpur Sadar', '8500')],
                 'Swarupkathi': [('Darus Sunnat', '8521'),
                                 ('Jalabari', '8523'),
                                 ('Kaurikhara', '8522'),
                                 ('Swarupkathi', '8520')],
                 'kaukhali': [('Jolagati', '8513'),
                              ('Joykul', '8512'),
                              ('Kaukhali', '8510'),
                              ('Keundia', '8511')]},
    'Rajbari': {'Baliakandi': [('Baliakandi', '7730'), ('Nalia', '7731')],
                'Pangsha': [('Mrigibazar', '7723'),
                            ('Pangsha', '7720'),
                            ('Ramkol', '7721'),
                            ('Ratandia', '7722')],
                'Rajbari Sadar': [('Goalanda', '7710'),
                                  ('Khankhanapur', '7711'),
                                  ('Rajbari Sadar', '7700')]},
    'Rajshahi': {'Bagha': [('Arani', '6281'), ('Bagha', '6280')],
                 'Bhabaniganj': [('Bhabaniganj', '6250'),
                                 ('Taharpur', '6251')],
                 'Charghat': [('Charghat', '6270'), ('Sarda', '6271')],
                 'Durgapur': [('Durgapur', '6240')],
                 'Godagari': [('Godagari', '6290'), ('Premtoli', '6291')],
                 'Khod Mohanpur': [('Khodmohanpur', '6220')],
                 'Lalitganj': [('Lalitganj', '6210'),
                               ('Rajshahi Sugar Mills', '6211'),
                               ('Shyampur', '6212')],
                 'Putia': [('Putia', '6260')],
                 'Rajshahi Sadar': [('Binodpur Bazar', '6206'),
                                    ('Ghuramara', '6100'),
                                    ('Kazla', '6204'),
                                    ('Rajshahi Canttonment', '6202'),
                                    ('Rajshahi Court', '6201'),
                                    ('Rajshahi Sadar', '6000'),
                                    ('Rajshahi University', '6205'),
                                    ('Sapura', '6203')],
                 'Tanor': [('Tanor', '6230')]},
    'Rangamati': {'Barakal': [('Barakal', '4570')],
                  'Bilaichhari': [('Bilaichhari', '4550')],
                  'Jarachhari': [('Jarachhari', '4560')],
                  'Kalampati': [('Betbunia', '4511'),
                                ('Kalampati', '4510')],
                  'Longachh': [('Longachh', '4580')],
                  'Marishya': [('Marishya', '4590')],
                  'Naniachhar': [('Nanichhar', '4520')],
                  'Rajsthali': [('Rajsthali', '4540')],
                  'Rangamati Sadar': [('Rangamati Sadar', '4500')],
                  'kaptai': [('Chandraghona', '4531'),
                             ('Kaptai', '4530'),
                             ('Kaptai Nuton Bazar', '4533'),
                             ('Kaptai Project', '4532')]},
    'Rangpur': {'Badarganj': [('Badarganj', '5430'), ('Shyampur', '5431')],
                'Gangachara': [('Gangachara', '5410')],
                'Kaunia': [('Haragachh', '5441'), ('Kaunia', '5440')],
                'Mithapukur': [('Mithapukur', '5460')],
                'Pirgachha': [('Pirgachha', '5450')],
                'Rangpur Sadar': [('Alamnagar', '5402'),
                                  ('Mahiganj', '5403'),
                                  ('Rangpur Cadet Colleg', '5404'),
                                  ('Rangpur Carmiecal Col', '5405'),
                                  ('Rangpur Sadar', '5400'),
                                  ('Rangpur Upa-Shahar', '5401')],
                'Taraganj': [('Taraganj', '5420')]},
    'Satkhira': {'Ashashuni': [('Ashashuni', '9460'), ('Baradal', '9461')],
                 'Debbhata': [('Debbhata', '9430'), ('Gurugram', '9431')],
                 'Kaliganj UPO': [('Kaliganj UPO', '9440'),
                                  ('Nalta Mubaroknagar', '9441'),
                                  ('Ratanpur', '9442')],
                 'Nakipur': [('Buri Goalini', '9453'),
                             ('Gabura', '9454'),
                             ('Habinagar', '9455'),
                             ('Nakipur', '9450'),
                             ('Naobeki', '9452'),
                             ('Noornagar', '9451')],
                 'Satkhira Sadar': [('Budhhat', '9403'),
                                    ('Gunakar kati', '9402'),
                                    ('Satkhira Islamia Acc', '9401'),
                                    ('Satkhira Sadar', '9400')],
                 'Taala': [('Patkelghata', '9421'), ('Taala', '9420')],
                 'kalaroa': [('Chandanpur', '9415'),
                             ('Hamidpur', '9413'),
                             ('Jhaudanga', '9412'),
                             ('kalaroa', '9410'),
                             ('Khordo', '9414'),
                             ('Murarikati', '9411')]},
    'Shariatpur': {'Bhedorganj': [('Bhedorganj', '8030')],
                   'Damudhya': [('Damudhya', '8040')],
                   'Gosairhat': [('Gosairhat', '8050')],
                   'Jajira': [('Jajira', '8010')],
                   'Naria': [('Bhozeshwar', '8021'),
                             ('Gharisar', '8022'),
                             ('Kartikpur', '8024'),
                             ('Naria', '8020'),
                             ('Upshi', '8023')],
                   'Shariatpur Sadar': [('Angaria', '8001'),
                                        ('Chikandi', '8002'),
                                        ('Shariatpur Sadar', '8000')]},
    'Sherpur': {'Bakshigonj': [('Bakshigonj', '2140')],
                'Jhinaigati': [('Jhinaigati', '2120')],
                'Nakla': [('Gonopaddi', '2151'), ('Nakla', '2150')],
                'Nalitabari': [('Hatibandha', '2111'),
                               ('Nalitabari', '2110')],
                'Sherpur Shadar': [('Sherpur Shadar', '2100')],
                'Shribardi': [('Shribardi', '2130')]},
    'Sirajganj': {'Baiddya Jam Toil': [('Baiddya Jam Toil', '6730')],
                  'Belkuchi': [('Belkuchi', '6740'),
                               ('Enayetpur', '6751'),
                               ('Rajapur', '6742'),
                               ('Sohagpur', '6741'),
                               ('Sthal', '6752')],
                  'Dhangora': [('Dhangora', '6720'), ('Malonga', '6721')],
                  'Kazipur': [('Gandail', '6712'),
                              ('Kazipur', '6710'),
                              ('Shuvgachha', '6711')],
                  'Shahjadpur': [('Jamirta', '6772'),
                                 ('Kaijuri', '6773'),
                                 ('Porjana', '6771'),
                                 ('Shahjadpur', '6770')],
                  'Sirajganj Sadar': [('Raipur', '6701'),
                                      ('Rashidabad', '6702'),
                                      ('Sirajganj Sadar', '6700')],
                  'Tarash': [('Tarash', '6780')],
                  'Ullapara': [('Lahiri Mohanpur', '6762'),
                               ('Salap', '6763'),
                               ('Ullapara', '6760'),
                               ('Ullapara R.S', '6761')]},
    'Sunamganj': {'Bishamsarpur': [('Bishamsapur', '3010')],
                  'Chhatak': [('Chhatak', '3080'),
                              ('Chhatak Cement Facto', '3081'),
                              ('Chhatak Paper Mills', '3082'),
                              ('Chourangi Bazar', '3893'),
                              ('Gabindaganj', '3083'),
                              ('Gabindaganj Natun Ba', '3084'),
                              ('Islamabad', '3088'),
                              ('jahidpur', '3087'),
                              ('Khurma', '3085'),
                              ('Moinpur', '3086')],
                  'Dhirai Chandpur': [('Dhirai Chandpur', '3040'),
                                      ('Jagdal', '3041')],
                  'Duara bazar': [('Duara bazar', '3070')],
                  'Ghungiar': [('Ghungiar', '3050')],
                  'Jagnnathpur': [('Atuajan', '3062'),
                                  ('Hasan Fatemapur', '3063'),
                                  ('Jagnnathpur', '3060'),
                                  ('Rasulganj', '3064'),
                                  ('Shiramsi', '3065'),
                                  ('Syedpur', '3061')],
                  'Sachna': [('Sachna', '3020')],
                  'Sunamganj Sadar': [('Pagla', '3001'),
                                      ('Patharia', '3002'),
                                      ('Sunamganj Sadar', '3000')],
                  'Tahirpur': [('Tahirpur', '3030')]},
    'Sylhet': {'Balaganj': [('Balaganj', '3120'),
                            ('Begumpur', '3125'),
                            ('Brahman Shashon', '3122'),
                            ('Gaharpur', '3128'),
                            ('Goala Bazar', '3124'),
                            ('Karua', '3121'),
                            ('Kathal Khair', '3127'),
                            ('Natun Bazar', '3129'),
                            ('Omarpur', '3126'),
                            ('Tajpur', '3123')],
               'Bianibazar': [('Bianibazar', '3170'),
                              ('Churkai', '3175'),
                              ('jaldup', '3171'),
                              ('Kurar bazar', '3173'),
                              ('Mathiura', '3172'),
                              ('Salia bazar', '3174')],
               'Bishwanath': [('Bishwanath', '3130'),
                              ('Dashghar', '3131'),
                              ('Deokalas', '3133'),
                              ('Doulathpur', '3132'),
                              ('Singer kanch', '3134')],
               'Fenchuganj': [('Fenchuganj', '3116'),
                              ('Fenchuganj SareKarkh', '3117')],
               'Goainhat': [('Chiknagul', '3152'),
                            ('Goainhat', '3150'),
                            ('Jaflong', '3151')],
               'Gopalganj': [('banigram', '3164'),
                             ('Chandanpur', '3165'),
                             ('Dakkhin Bhadashore', '3162'),
                             ('Dhaka Dakkhin', '3161'),
                             ('Gopalgannj', '3160'),
                             ('Ranaping', '3163')],
               'Jaintapur': [('Jainthapur', '3156')],
               'Jakiganj': [('Ichhamati', '3191'), ('Jakiganj', '3190')],
               'Kanaighat': [('Chatulbazar', '3181'),
                             ('Gachbari', '3183'),
                             ('Kanaighat', '3180'),
                             ('Manikganj', '3182')],
               'Kompanyganj': [('Kompanyganj', '3140')],
               'Sylhet Sadar': [('Birahimpur', '3106'),
                                ('Jalalabad', '3107'),
                                ('Jalalabad Cantoment', '3104'),
                                ('Kadamtali', '3111'),
                                ('Kamalbazer', '3112'),
                                ('Khadimnagar', '3103'),
                                ('Lalbazar', '3113'),
                                ('Mogla', '3108'),
                                ('Ranga Hajiganj', '3109'),
                                ('Shahajalal Science &', '3114'),
                                ('Silam', '3105'),
                                ('Sylhe Sadar', '3100'),
                                ('Sylhet Biman Bondar', '3102'),
                                ('Sylhet Cadet Col', '3101')]},
    'Tangail': {'Basail': [('Basail', '1920')],
                'Bhuapur': [('Bhuapur', '1960')],
                'Delduar': [('Delduar', '1910'),
                            ('Elasin', '1913'),
                            ('Hinga Nagar', '1914'),
                            ('Jangalia', '1911'),
                            ('Lowhati', '1915'),
                            ('Patharail', '1912')],
                'Ghatail': [('D. Pakutia', '1982'),
                            ('Dhalapara', '1983'),
                            ('Ghatial', '1980'),
                            ('Lohani', '1984'),
                            ('Zahidganj', '1981')],
                'Gopalpur': [('Gopalpur', '1990'),
                             ('Hemnagar', '1992'),
                             ('Jhowail', '1991')],
                'Kalihati': [('Ballabazar', '1973'),
                             ('Elinga', '1974'),
                             ('Kalihati', '1970'),
                             ('Nagarbari', '1977'),
                             ('Nagarbari SO', '1976'),
                             ('Nagbari', '1972'),
                             ('Palisha', '1975'),
                             ('Rajafair', '1971')],
                'Kashkaolia': [('Kashkawlia', '1930')],
                'Madhupur': [('Dhobari', '1997'), ('Madhupur', '1996')],
                'Mirzapur': [('Gorai', '1941'),
                             ('Jarmuki', '1944'),
                             ('M.C. College', '1942'),
                             ('Mirzapur', '1940'),
                             ('Mohera', '1945'),
                             ('Warri paikpara', '1943')],
                'Nagarpur': [('Dhuburia', '1937'),
                             ('Nagarpur', '1936'),
                             ('Salimabad', '1938')],
                'Sakhipur': [('Kochua', '1951'), ('Sakhipur', '1950')],
                'Tangail Sadar': [('Kagmari', '1901'),
                                  ('Korotia', '1903'),
                                  ('Purabari', '1904'),
                                  ('Santosh', '1902'),
                                  ('Tangail Sadar', '1900')]},
    'Thakurgaon': {'Baliadangi': [('Baliadangi', '5140'),
                                  ('Lahiri', '5141')],
                   'Jibanpur': [('Jibanpur', '5130')],
                   'Pirganj': [('Pirganj', '5110'), ('Pirganj', '5470')],
                   'Rani Sankail': [('Nekmarad', '5121'),
                                    ('Rani Sankail', '5120')],
                   'Thakurgaon Sadar': [('Ruhia', '5103'),
                                        ('Shibganj', '5102'),
                                        ('Thakurgaon Road', '5101'),
                                        ('Thakurgaon Sadar', '5100')]}}
